## groovy.text
Class GStringTemplate

Field Summary
`Closure` | `template`

Constructor Summary
`GStringTemplate(Reader reader, ClassLoader parentLoader)`

Method Summary
`static void` | `appendCharacter(char c, StringBuffer templateExpressions, boolean writingString)`
`Writable` | `make()`
`Writable` | `make(Map map)`
`static void` | `parseExpression(Reader reader, boolean writingString, StringBuffer templateExpressions)` Parse a <%= .... %> expression
`void` | `parseGSstring(Reader reader, boolean writingString, StringBuffer templateExpressions)`
`static void` | `parseSection(int pendingC, Reader reader, boolean writingString, StringBuffer templateExpressions)` Parse a <% .... %> section if we are writing a GString close and append ';' then write the section as a statement

Constructor Detail

### GStringTemplate

    public GStringTemplate(Reader reader, ClassLoader parentLoader)

Method Detail

### appendCharacter

    static void appendCharacter(char c, StringBuffer templateExpressions, boolean writingString)

### make

    public Writable make()

### make

    public Writable make(Map map)

### parseExpression

    static void parseExpression(Reader reader, boolean writingString, StringBuffer templateExpressions)

  Parse a <%= .... %> expression
  param:
    reader
  param:
    writingString
  param:
    templateExpressions
  throws:
    IOException

### parseGSstring

    void parseGSstring(Reader reader, boolean writingString, StringBuffer templateExpressions)

### parseSection

    static void parseSection(int pendingC, Reader reader, boolean writingString, StringBuffer templateExpressions)

  Parse a <% .... %> section if we are writing a GString close and append ';' then write the section as a statement
  param:
    pendingC
  param:
    reader
  param:
    writingString
  param:
    templateExpressions
  throws:
    IOException